<?php
/**
 *----------------------------------------------------------------------------*
 * 版权所有 2005-2010 GV32.COM，并保留所有权利。
 * 网站地址: http://www.gv32.com；
 * 作者: GV32.COM
 *----------------------------------------------------------------------------*
**/
$GLOBALS['system_path'] 		= 'system';					//系统核心目录
$GLOBALS['application_path'] 	= 'application';			//应用程序目录
$GLOBALS['language_path'] 		= 'www';				    //语言包目录
$GLOBALS['tpl_path'] 			= 'templates/www';		    //模板目录
$GLOBALS['cpl_path'] 			= 'compiles/www';		   //编译目录
$GLOBALS['cache_path'] 			= '_tmp/www';			   //缓存目录

require ROOT_PATH.$system_path.'/config/config.ini.php';

require ROOT_PATH.$system_path.'/class/class_request.php';

require ROOT_PATH.$system_path.'/class/class_mysql.php';

require ROOT_PATH.$system_path.'/class/class_websession.php';

require ROOT_PATH.$application_path.'/smarty/Smarty.class.php';

require ROOT_PATH.$system_path.'/class/class_page.php';

require ROOT_PATH.$system_path.'/class/class_helper.php';

$WebConfig = $Helpe -> get_config();

$GLOBALS['tpl_path'] = $GLOBALS['tpl_path']."/".$WebConfig["default"];

$Templ -> template_dir = ROOT_PATH.$GLOBALS['tpl_path'];	//重新修改模板位置！！

//网站如果设置关闭
if($WebConfig["webclose"]==1)
{
	//var_dump( $WebConfig );
	$GLOBALS['Templ'] -> assign('webclosevalue',$WebConfig["webclosevalue"]);	//获取配置文件
	$GLOBALS['Templ'] -> display('close_tpl.html');
	exit('');
}


$contactArray = $GLOBALS['Helpe'] -> build_contact($WebConfig);

$GLOBALS['Templ']->assign('contactArray',$contactArray);



//./uploads/test.gif
$GLOBALS['Templ'] -> assign('getconfig',$WebConfig);	//获取配置文件

$GLOBALS['Templ']->assign('tpl_path',$GLOBALS['tpl_path']);

$GLOBALS['Templ']->assign('roottpl_path',$GLOBALS['tpl_path']);

require ROOT_PATH.$system_path.'/class/class_weburl.php';

?>